#!/usr/bin/perl
use Test::More tests => 5;
use POWER::Epoll;
use POWER::Utils::Resource;
use Errno;
no warnings 'once';
require "t/init";

# allocate all required memory
syswrite W, $buf or die $!;
$n = 0; $i = 100;
$mem = MEM_used();
for (1 .. $i) {
    $n += sysread R, $buf, 102400 or die $!;
    syswrite W, $buf or die $!;
    ($status, $result) = epoll_wait($epfd, 3);
}
# no more memory allocations under this point
$n = 0; $i = 300000;
$mem = MEM_used();
for (1 .. $i) {
    $n += sysread R, $buf, 102400 or die $!;
    syswrite W, $buf or die $!;
    ($status, $result) = epoll_wait($epfd, 3);
}
#print $mem, "-", MEM_used(), "\n";
ok($mem >= MEM_used(), 'no memory leaks');
is($n, $size*$i, 'all data transferred')

